%define major 0.8
%define oname clutter
Name: libclutter
Version: %major.4
Release: alt1

Summary: Library for rich GUIs

License: LGPL v2+
Group: System/Libraries
Url: http://www.clutter-project.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.clutter-project.org/sources/clutter/%major/%oname-%version.tar.bz2
Patch: %name-0.8.2-gcc43.patch

# Automatically added by buildreq on Fri Nov 28 2008
BuildRequires: gcc-c++ gtk-doc libGL-devel libXcomposite-devel libXi-devel libgtk+2-devel xorg-xextproto-devel

BuildRequires: rpm-build-compat

%description
Clutter is an open source software library for creating fast, visually
rich graphical user interfaces. The most obvious example of potential
usage is in media center type applications. We hope however it can be
used for a lot more.

Clutter uses OpenGL (and soon optionally OpenGL ES) for rendering but
with an API which hides the underlying GL complexity from the
developer. The Clutter API is intended to be easy to use, efficient
and flexible.

%package devel
Summary: Header files for clutter library
Group: Development/Other
Requires: %name = %version-%release

%description devel
Header files for clutter library.

%package apidocs
Summary: clutter API documentation
Group: Documentation
#Requires: gtk-doc-common

%description apidocs
clutter API documentation.

%prep
%setup -q -n %oname-%version
#%patch

%build
#__gtkdocize
%__autoreconf
%configure \
	--enable-gtk-doc \
	--disable-static \
	--with-html-dir=%_gtkdocdir

%make_build

%install
%make_install_std

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/libclutter-*.so.*

%files devel
%_libdir/libclutter-*.so
%_includedir/clutter-%major
%_pkgconfigdir/clutter-*.pc

%files apidocs
%_gtkdocdir/%oname/
%_gtkdocdir/cogl/

%changelog
* Fri Dec 12 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.4-alt1
- new version 0.8.4 (with rpmrb script)

* Fri Nov 28 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.2-alt1
- new version 0.8.2 (with rpmrb script)

* Tue May 20 2008 Vitaly Lipatov <lav@altlinux.ru> 0.6.2-alt1
- new version 0.6.2 (with rpmrb script)

* Fri Jan 04 2008 Vitaly Lipatov <lav@altlinux.ru> 0.4.2-alt1
- new version 0.4.2 (with rpmrb script)

* Fri Jul 27 2007 Vitaly Lipatov <lav@altlinux.ru> 0.3.1-alt1
- initial build for ALT Linux Sisyphus (spec from PLD)

